Package org.springframework.security.web.webauthn.management

# Interface PublicKeyCredentialUserEntityRepository

All Known Implementing Classes:
  `MapPublicKeyCredentialUserEntityRepository`

public interface PublicKeyCredentialUserEntityRepository
A repository for managing `PublicKeyCredentialUserEntity` instances.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`void`
`delete(Bytes id)`
`PublicKeyCredentialUserEntity`
`findById(Bytes id)`
Finds the `PublicKeyCredentialUserEntity` by `PublicKeyCredentialUserEntity.getId()`
`PublicKeyCredentialUserEntity`
`findByUsername(String username)`
Finds the `PublicKeyCredentialUserEntity` by the username.
`void`
`save(PublicKeyCredentialUserEntity userEntity)`
Saves the `PublicKeyCredentialUserEntity` to the associated username.

## Method Details

### findById

PublicKeyCredentialUserEntity findById(Bytes id)
Finds the `PublicKeyCredentialUserEntity` by `PublicKeyCredentialUserEntity.getId()`

Parameters:
  `id` - the id to lookup the username by
Returns:
  the username or null if not found.

### findByUsername

PublicKeyCredentialUserEntity findByUsername(String username)
Finds the `PublicKeyCredentialUserEntity` by the username.

Parameters:
  `username` - the username to lookup the `PublicKeyCredentialUserEntity`
Returns:
  the `PublicKeyCredentialUserEntity` or null if not found.

### save

void save(PublicKeyCredentialUserEntity userEntity)
Saves the `PublicKeyCredentialUserEntity` to the associated username.

Parameters:
  `userEntity` - the `PublicKeyCredentialUserEntity` to associate to the provided username. If null, any existing entry is deleted.

### delete

void delete(Bytes id)